<?php

namespace Drupal\doorstep_services\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Provides a filter form for service requests.
 */
class DoorstepServicesFilterForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'service_request_filter_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['status'] = [
      '#type' => 'select',
      '#title' => $this->t('Filter by Status'),
      '#options' => [
        'all' => $this->t('All'),
        'in_progress' => $this->t('In Progress'),
        'completed' => $this->t('Completed'),
        'cancelled' => $this->t('Cancelled'),
      ],
      '#default_value' => $form_state->getValue('status', 'all'),
    ];

    $form['submit'] = [
      '#type' => 'submit',
      '#value' => $this->t('Filter'),
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    // Rebuild the form with the selected status filter applied.
    $form_state->setRebuild(TRUE);
  }

}
