<?php

namespace Drupal\doorstep_services\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class declaration.
 */
class UpiSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['doorstep_services.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'doorstep_services_settings_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('doorstep_services.settings');

    $form['upi_id'] = [
      '#type' => 'textfield',
      '#title' => $this->t('UPI ID'),
      '#default_value' => $config->get('upi_id'),
      '#description' => $this->t('Enter the UPI ID to be used for generating payment QR codes.'),
      '#required' => TRUE,
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('doorstep_services.settings')
      ->set('upi_id', $form_state->getValue('upi_id'))
      ->save();

    parent::submitForm($form, $form_state);
  }

}
